<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSdpTransparencyProfile StructType
 * @subpackage Structs
 */
class RSdpTransparencyProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The attributeSet
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[]
     */
    public $attributeSet;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSdpTransparencyProfile
     * @uses RSdpTransparencyProfile::setName()
     * @uses RSdpTransparencyProfile::setDescription()
     * @uses RSdpTransparencyProfile::setAttributeSet()
     * @uses RSdpTransparencyProfile::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[] $attributeSet
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, array $attributeSet = array(), $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setAttributeSet($attributeSet)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSdpTransparencyProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSdpTransparencyProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get attributeSet value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[]|null
     */
    public function getAttributeSet()
    {
        return $this->attributeSet;
    }
    /**
     * Set attributeSet value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[] $attributeSet
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSdpTransparencyProfile
     */
    public function setAttributeSet(array $attributeSet = array())
    {
        $this->attributeSet = $attributeSet;
        return $this;
    }
    /**
     * Add item to attributeSet value
     * @throws \InvalidArgumentException
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSdpTransparencyProfile
     */
    public function addToAttributeSet(\\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet $item)
    {
        $this->attributeSet[] = $item;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSdpTransparencyProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
